// LampFlash.java
// Lamp at O1 and O2

import ch.aplu.ftcontroller.*;
import ch.aplu.util.*;

public class LampFlash
{
  public LampFlash()
  {
    FtController fc = new FtController();
    Lamp lamp1 = fc.lamp1;
    Lamp lamp2 = fc.lamp2;
    lamp1.setIntensity(2);
    lamp2.setIntensity(2);
    while (!QuitPane.quit())
    {  
      lamp1.on();
      lamp2.off();
      Console.delay(200);
      lamp1.off();
      lamp2.on();
      Console.delay(200);
    }
    fc.exit();
  }
    
  public static void main(String[] args)
  {
    new LampFlash();
  }
}
